#ifndef FILTER_LOW_PASS_FILTER_H
#define FILTER_LOW_PASS_FILTER_H

#include <vector>

#include <filter/filter/filter.hpp>
#include <filter/window/window.hpp>

namespace Filter {

class LowPassFilter : public IFilter {
 public:
  LowPassFilter(std::int32_t size, std::size_t cutoffHz, std::size_t sampleRateHz, const std::vector<float>& window);
  ~LowPassFilter() override{};
};
} // namespace Filter

#endif